import type { ParseOptions, StringifyOptions } from "query-string";
declare type UrlState = Record<string, any>;
export interface Options {
    navigateMode?: "push" | "replace";
    parseOptions?: ParseOptions;
    stringifyOptions?: StringifyOptions;
}
declare const useUrlState: <S extends UrlState = UrlState>(initialState?: S | (() => S) | undefined, options?: Options | undefined) => void;
export default useUrlState;
